<!-- Start of Table -->
<div class="card shadow mb-4">
  <div class="card-header py-3">
    <h6 class="m-0 font-weight-bold text-primary">
      Suspect Table
    </h6>
  </div>

  <div class="card-body">
    <div class="table-responsive">
      <!-- Start of Search Section -->
      <!-- <table class="table table-bordered">
        <tr>
          <th colspan="6">
            <div class="search-panel-header" (click)="isCollapsed = !isCollapsed">
              <div class="header-text">
                Search By
              </div>

              <div>
                <i *ngIf="!isCollapsed" class="fa fa-minus" aria-hidden="true"></i>
                <i *ngIf="isCollapsed" class="fa fa-plus" aria-hidden="true"></i>
              </div>
            </div>
          </th>
        </tr>
        <tr [hidden]="isCollapsed">
          <th>
            <label>Company Name</label>
            <input class="form-control" [(ngModel)]="searchByCompanyName" placeholder="Search..." />
          </th>
          <th>
            <label>Start Date</label>
            <input class="form-control" [(ngModel)]="searchByStartDate" placeholder="Search..." />
          </th>
          <th>
            <label>Primary Email</label>
            <input class="form-control" [(ngModel)]="searchByPrimaryEmail" placeholder="Search..." />
          </th>
          <th>
            <label>Office Phone</label>
            <input class="form-control" [(ngModel)]="searchByOfficeEmail" placeholder="Search..." />
          </th>
          <th>
            <label>Status</label>
            <input class="form-control" [(ngModel)]="searchByStatus" placeholder="Search..." />
          </th>
        </tr>
      </table> -->
      <!-- End of Search Section -->

      <!-- Start of Suspect Table -->
      <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
        <thead>
          <tr>
            <th>Assign</th>
            <th>
              Company Name
            </th>
            <th>Start Date</th>
            <th>
              Primary Email
            </th>
            <th>Office Phone</th>
            <th>Status</th>
          </tr>

          <tr>
            <th></th>
            <th>
              <input class="form-control" placeholder="Search..." />
            </th>
            <th>
              <input class="form-control" placeholder="Search..." />
            </th>
            <th>
              <input class="form-control" placeholder="Search..." />
            </th>
            <th>
              <input class="form-control" placeholder="Search..." />
            </th>
            <th>
              <select class="form-control" [value]="0">
                <option disabled value="0">Select</option>
                <option>Active</option>
                <option>Inactive</option>
              </select>
            </th>
          </tr>
        </thead>

        <tbody>
          <tr *ngFor="let suspect of suspectList">
            <td class="assign cursor-pointer">
              <i class="fas fa-plus"></i>
            </td>
            <td class="cursor-pointer" (click)="navigateToEditSuspect(suspect)">
              {{ suspect.company_name }}
            </td>
            <td>
              {{ suspect.start_date }}
            </td>
            <td>
              {{ suspect.primary_email }}
            </td>
            <td>
              {{ suspect.office_phone }}
            </td>
            <td class="action">
              <label class="switch">
                <input type="checkbox" [checked]="suspect.status">
                <span class="slider round"></span>
              </label>
            </td>
          </tr>
        </tbody>
        <tfoot>
          <td colspan="6">
            <span *ngIf="suspectListLoading"> Loading ....</span>
            <span *ngIf="(!suspectList || suspectList?.length === 0) && !suspectListLoading">
              No Results
            </span>
          </td>
        </tfoot>
      </table>
      <!-- End of Suspect Table -->
    </div>
  </div>

  <div class="pagination-section">
    <div class="pagination">
      <a *ngFor="let alphabet of paginationItem" [ngClass]="{'active': currentPage === alphabet}"
        (click)="onPageSelect(alphabet)">{{alphabet}}</a>
    </div>
  </div>

</div>
<!-- End of Table -->